net.sf.jasperreports.engine.analytics.dataset

## Class BaseDataAxisLevel

- java.lang.Object
- - net.sf.jasperreports.engine.analytics.dataset.BaseDataAxisLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, DataAxisLevel, JRCloneable
  Direct Known Subclasses:
    DesignDataAxisLevel

      public class BaseDataAxisLevel
      extends java.lang.Object
      implements DataAxisLevel, java.io.Serializable

  Version:
    $Id: BaseDataAxisLevel.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DataLevelBucket` | `bucket`
    `protected JRExpression` | `labelExpression`
    `protected java.lang.String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseDataAxisLevel()`
    `BaseDataAxisLevel(DataAxisLevel level, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `DataLevelBucket` | `getBucket()`
    `JRExpression` | `getLabelExpression()`
    `java.lang.String` | `getName()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected java.lang.String name

    - #### labelExpression

          protected JRExpression labelExpression

    - #### bucket

          protected DataLevelBucket bucket

  - ### Constructor Detail

    - #### BaseDataAxisLevel

          public BaseDataAxisLevel()

    - #### BaseDataAxisLevel

          public BaseDataAxisLevel(DataAxisLevel level,
                           JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `DataAxisLevel`

    - #### getLabelExpression

          public JRExpression getLabelExpression()

      Specified by:
        `getLabelExpression` in interface `DataAxisLevel`

    - #### getBucket

          public DataLevelBucket getBucket()

      Specified by:
        `getBucket` in interface `DataAxisLevel`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com